Create a new status list signer
Roles
Analytics Events
/v2/credentials/mobile/status-list-signersUses an existing IACA to sign a status list signer (intermediate certificate) that can be used to sign status list tokens.
- Only available in implementations using unmanaged (external) IACAs.
- A maximum of three Status List Signers can be created per tenant.
Analytic events
- MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_CREATE_START
- MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_CREATE_SUCCESS
- MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
Internal identifier of the IACA used to sign this status list signer:
- Must be the same IACA used to sign credentials that are included in a status list signed by this status list signer.
- Must be an unmanaged (external) IACA.
uuidResponse Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/credentials/mobile/status-list-signers" \ -H "Content-Type: application/json" \ -d '{ "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6",
"active": false,
"csrPem": "-----BEGIN CERTIFICATE REQUEST-----...-----END CERTIFICATE REQUEST-----"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Delete a Status list configuration DELETE
Permanently deletes an existing Status list configuration. ### **Analytic events** * MOBILE_CREDENTIAL_STATUS_LIST_CONFIGURATION_DELETE_START * MOBILE_CREDENTIAL_STATUS_LIST_CONFIGURATION_DELETE_SUCCESS * MOBILE_CREDENTIAL_STATUS_LIST_CONFIGURATION_DELETE_FAIL
Revoke a status list signer POST
Revokes an existing status list signer, making it unusable for signing new status lists. If the verifier checks the CRL referenced in the IACA certificate, it must treat revoked status list signers and any status list they signed as untrusted. <Callout> Only available in implementations using managed IACAs. When using unmanaged (external) IACAs, you must revoke the status list signer certificate directly with the CA that issued it. </Callout> ### **Analytic events** * MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_REVOKE_START * MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_REVOKE_SUCCESS * MOBILE_CREDENTIAL_STATUS_LIST_SIGNER_REVOKE_FAIL